// Code pour Node.js : récupérer des paramètres nom et prenom en JSON et retourner un format JSON avec
// Méthode POST

// Vous devez installer le module express pour node.js pour faire tourner ce code

// Il faut utiliser "node exemple5.js" pour démarrer ce serveur

const express = require('express');
const app = express();

const cors = require('cors');
app.use(cors());

app.use(express.json());

app.post('/test2', (req, res) => {
    const prenom = req.body.prenom ?? 'Inconnu';
    const nom = req.body.nom ?? 'Inconnu';
    const personne = {
        prenom:prenom.toUpperCase(),
        nom:nom.toUpperCase()
    }
    res.json( personne );
});

app.listen(7000, () => console.log('Serveur démarré sur http://localhost:7000/test2'));
